Bug 669176 - $REMOTEHOST is set empty on the local machine in csh and tcsh
Summary: $REMOTEHOST is set empty on the local machine in csh and tcsh
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tcsh
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Vojtech Vitek
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords: Regression
Depends On: 669171
Blocks: 688175
TreeView+ depends on / blocked
 
Reported: 2011-01-12 19:48 UTC by Bryan Mason
Modified: 2018-11-14 15:42 UTC (History)
6 users (show)

(edit)
On a local machine, tcsh set the "REMOTEHOST" environment variable to an empty string, even though this variable should be only set on remote machines. This error has been fixed, and "REMOTEHOST" is no longer set on a local machine.
Clone Of: 669171
: 688175 (view as bug list)
(edit)
Last Closed: 2011-02-02 15:31:25 UTC


Attachments (Terms of Use)
Proposing patch (510 bytes, patch)
2011-01-12 20:06 UTC, Vojtech Vitek
no flags Details | Diff
Slightly improved version of previous patch (708 bytes, patch)
2011-01-14 12:04 UTC, Vojtech Vitek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0193 normal SHIPPED_LIVE tcsh bug fix update 2011-02-02 15:31:12 UTC

Description Bryan Mason 2011-01-12 19:48:46 UTC
+++ This bug was initially created as a clone of Bug #669171 +++

Description of problem:

    The $REMOTEHOST environment variable is set to an empty string
    when logging onto a local system in csh and tcsh.  It should be
    left undefined.

Version-Release number of selected component (if applicable):

    tcsh-6.17-8.el6

How reproducible:

    100%

Steps to Reproduce:

    1. Start tcsh or csh on a local console
    2. Run "echo $REMOTEHOST"
  
Actual results:

    $ echo $REMOTEHOST

    [note blank line]

Expected results:

    $echo $REMOTEHOST
    REMOTEHOST: Undefined variable.

Additional info:

    The expected results occur on a RHEL 5 system, but the actual
    results occur on RHEL 6 and Fedora Rawhide.  This could easily be
    considered a regression.

Comment 1 Vojtech Vitek 2011-01-12 20:06:04 UTC
Created attachment 473125 [details]
Proposing patch

Comment 3 Vojtech Vitek 2011-01-14 12:04:01 UTC
Created attachment 473507 [details]
Slightly improved version of previous patch

Comment 4 Vojtech Vitek 2011-01-18 10:41:30 UTC
The patch has been accepted by upstream (6.17.03b).

Comment 12 Jaromir Hradilek 2011-01-27 16:00:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
On a local machine, tcsh set the "REMOTEHOST" environment variable to an empty string, even though this variable should be only set on remote machines. This error has been fixed, and "REMOTEHOST" is no longer set on a local machine.

Comment 13 Branislav Náter 2011-01-28 17:09:58 UTC
Bugfix was successfully verified tcsh-6.17-11.el6 package on i386, x86_64, s390x and ppc architectures. REMOTEHOST variable is no more set when running shell from local machine.

Comment 14 errata-xmlrpc 2011-02-02 15:31:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0193.html


Note You need to log in before you can comment on or make changes to this bug.